Error
A valid request URL is required to generate request examples{
"access_profile": {
"id": 123,
"name": "<string>",
"description": "<string>",
"is_active": true,
"version": 123,
"tags": [
"<string>"
],
"provider_configs": [
{
"provider_name": "<string>",
"id": 123,
"all_models_allowed": true,
"allowed_models": [
"<string>"
],
"budgets": [
{
"max_limit": 123,
"id": "<string>",
"scope": "<string>",
"current_usage": 123,
"last_reset": "2023-11-07T05:31:56Z"
}
],
"rate_limit": {
"id": "<string>",
"token_max_limit": 123,
"request_max_limit": 123,
"token_current_usage": 123,
"request_current_usage": 123
}
}
],
"budgets": [
{
"max_limit": 123,
"id": "<string>",
"scope": "<string>",
"current_usage": 123,
"last_reset": "2023-11-07T05:31:56Z"
}
],
"rate_limit": {
"id": "<string>",
"token_max_limit": 123,
"request_max_limit": 123,
"token_current_usage": 123,
"request_current_usage": 123
},
"calendar_aligned": true,
"mcp_tool_groups": [
{
"tool_group_id": 123
}
],
"mcp_servers": [
{
"mcp_server_id": "<string>"
}
],
"mcp_tool_overrides": [
{
"mcp_client_id": "<string>",
"tool_name": "<string>"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}Access Profiles
Deactivate access profile
Sets the profile inactive. Idempotent. User copies are preserved; the profile is hidden from selection menus.
PUT
/
api
/
access-profiles
/
{id}
/
deactivate
Error
A valid request URL is required to generate request examples{
"access_profile": {
"id": 123,
"name": "<string>",
"description": "<string>",
"is_active": true,
"version": 123,
"tags": [
"<string>"
],
"provider_configs": [
{
"provider_name": "<string>",
"id": 123,
"all_models_allowed": true,
"allowed_models": [
"<string>"
],
"budgets": [
{
"max_limit": 123,
"id": "<string>",
"scope": "<string>",
"current_usage": 123,
"last_reset": "2023-11-07T05:31:56Z"
}
],
"rate_limit": {
"id": "<string>",
"token_max_limit": 123,
"request_max_limit": 123,
"token_current_usage": 123,
"request_current_usage": 123
}
}
],
"budgets": [
{
"max_limit": 123,
"id": "<string>",
"scope": "<string>",
"current_usage": 123,
"last_reset": "2023-11-07T05:31:56Z"
}
],
"rate_limit": {
"id": "<string>",
"token_max_limit": 123,
"request_max_limit": 123,
"token_current_usage": 123,
"request_current_usage": 123
},
"calendar_aligned": true,
"mcp_tool_groups": [
{
"tool_group_id": 123
}
],
"mcp_servers": [
{
"mcp_server_id": "<string>"
}
],
"mcp_tool_overrides": [
{
"mcp_client_id": "<string>",
"tool_name": "<string>"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}Documentation Index
Fetch the complete documentation index at: https://docs.getbifrost.ai/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
BearerAuthBasicAuthApiKeyAuth
Bearer token authentication. Use your provider API key or Bifrost authentication token.
Virtual keys (prefixed with sk-bf-) can also be passed here.
Path Parameters
Response
Profile is inactive.
Show child attributes
Show child attributes
Was this page helpful?
⌘I

